Page MenuHomePhabricator

Make it possible to register ResourceLoaderTestModules in extension.json
Closed, ResolvedPublic

Description

It'd be nice to shrink our *.hooks.php files by being able to move these generally static definitions into extension.json; see for example EventLogging, Sentry, VisualEditor, Citoid, TemplateData, …

Event Timeline

Jdforrester-WMF raised the priority of this task from to Low.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2016, 11:31 PM
Jdforrester-WMF added a subscriber: Legoktm.
Krinkle claimed this task.Jan 18 2019, 7:50 PM
Krinkle raised the priority of this task from Low to Normal.
Krinkle added a project: Performance-Team.

Change 485247 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Support TestModules registration via extension.json

https://gerrit.wikimedia.org/r/485247

Krinkle moved this task from Inbox to Doing on the Performance-Team board.Jan 22 2019, 8:46 PM

Change 485981 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/NavigationTiming@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/485981

Change 485247 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Support TestModules registration via extension.json

https://gerrit.wikimedia.org/r/485247

Change 485981 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/485981